Uploaded image for project: 'Moodle app'
  1. Moodle app
  2. MOBILE-3177

Support the new tool_mobile_minimumversion setting

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.7.2
    • Fix Version/s: 3.8.0
    • Component/s: Others
    • Labels:
    • Testing Instructions:
      Hide

      Test on one device of each OS. (one iOS, one Android).
      You'll need blocked issues to be integrated to test that.

      Some testing notes:

      1. As admin on web, go to Site administration > Mobile app >Mobile authentication
      2. There you'll be able to set the "Minimum app version required". Format can be:
      • 4: same as 4.0.0
      • 4.1: Same as 4.1.0
      • 4.1.1: Same as 4.1.1
      1. In the app: login on a site.
      2. On the web, set a greater version that the current app: i.e 4.
      3. Close and open the app again.
      4. Check you're logged out, a message should be displayed indicating the version.
      5. Check the Download button goes to the correct market app.
      6. Click on the site to login again.
      7. Check you're logged out, a message should be displayed.
      8. Now navigate to settings > Syncronization.
      9. Try to sync the same site. and check you're logged out again.
      10. Now repeat the test with a version lower, i.e 3.5.
      11. Check it does not logout.
      Show
      Test on one device of each OS. (one iOS, one Android). You'll need blocked issues to be integrated to test that. Some testing notes: As admin on web, go to Site administration > Mobile app >Mobile authentication There you'll be able to set the "Minimum app version required". Format can be: 4: same as 4.0.0 4.1: Same as 4.1.0 4.1.1: Same as 4.1.1 In the app: login on a site. On the web, set a greater version that the current app: i.e 4. Close and open the app again. Check you're logged out, a message should be displayed indicating the version. Check the Download button goes to the correct market app. Click on the site to login again. Check you're logged out, a message should be displayed. Now navigate to settings > Syncronization. Try to sync the same site. and check you're logged out again. Now repeat the test with a version lower, i.e 3.5. Check it does not logout.
    • Affected Branches:
      MOODLE_37_STABLE
    • Fixed Branches:
      MOODLE_38_STABLE
    • Pull Master Branch:
    • Sprint:
      Moodle App 3.8.0

      Description

      MDL-66775 added a new setting under Mobile app authentication to enable admins force a minimum version of the app to access to the site.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              pferre22 Pau Ferrer
              Reporter:
              jleyva Juan Leyva
              Peer reviewer:
              Dani Palou
              Integrator:
              Juan Leyva
              Tester:
              Isabel Renedo Rouco
              Participants:
              Component watchers:
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Fix Release Date:
                20/Dec/19